This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 429259 - xend fails to start on fedora 8 x86_64
xend fails to start on fedora 8 x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 06:21 EST by Son To
Modified: 2009-01-09 00:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:48:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Son To 2008-01-18 06:21:06 EST
Description of problem:
xend fails to start

Version-Release number of selected component (if applicable):
xen-3.1.2-1.fc8

How reproducible:


Steps to Reproduce:
1.install fedora 8 x86_64
2.install xen-3.1.2-1.fc8 xen-libs-3.1.2-1.fc8 kernel-xen-2.6.21-2952.fc8
3. boot with the xen kernel
  
Actual results:
Starting xen daemons: xenstored blktapctrl xenconsoled xend[FAILED]


Expected results:
/etc/init.d/xend should start successfully

Additional info:
the fedora 8 x86 works fine with xen
Comment 1 Son To 2008-01-18 06:29:12 EST
here is my /var/log/xend.log

[2008-01-18 06:09:15 6920] INFO (SrvDaemon:338) Xend Daemon started
[2008-01-18 06:09:15 6920] INFO (SrvDaemon:342) Xend changeset: unavailable.
[2008-01-18 06:09:15 6920] INFO (SrvDaemon:349) Xend version: Unknown.
[2008-01-18 06:09:15 6920] ERROR (SrvDaemon:360) Exception starting xend
(mismatched tag: line 13, column 4)
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvDaemon.py", line
352, in run
    servers = SrvServer.create()
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvServer.py", line
254, in create
    root.putChild('xend', SrvRoot())
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvRoot.py", line 40,
in __init__
    self.get(name)
  File "/usr/lib64/python2.5/site-packages/xen/web/SrvDir.py", line 82, in get
    val = val.getobj()
  File "/usr/lib64/python2.5/site-packages/xen/web/SrvDir.py", line 52, in getobj
    self.obj = klassobj()
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvNode.py", line 30,
in __init__
    self.xn = XendNode.instance()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendNode.py", line 659, in
instance
    inst = XendNode()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendNode.py", line 141, in
__init__
    saved_networks = self.state_store.load_state('network')
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendStateStore.py", line
104, in load_state
    dom = minidom.parse(xml_path)
  File "/usr/lib64/python2.5/xml/dom/minidom.py", line 1913, in parse
    return expatbuilder.parse(file)
  File "/usr/lib64/python2.5/xml/dom/expatbuilder.py", line 924, in parse
    result = builder.parseFile(fp)
  File "/usr/lib64/python2.5/xml/dom/expatbuilder.py", line 207, in parseFile
    parser.Parse(buffer, 0)
ExpatError: mismatched tag: line 13, column 4
Comment 2 Bug Zapper 2008-11-26 04:28:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:48:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.